Subject: RE: [Enum] User ENUM vs Operator ENUM

From: "Fullbrook Kim (UK)" <[email-masked]>
Date: Thu, 17 Jun 2004 06:29:38 -0400

I would support the assertion below.  Saying the same thing in another way, there are basic privacy concerns about putting "personal" information such as SIP URIs and telephone numbers in the public DNS and for those of us in the European Union this has to be "opt in".  On the other hand certain telephony services might rely on everyone having their ENUM information available in the DNS.  If someone opts out because of privacy concerns the service breaks for that customer.  The implication is that only Carrier ENUM - where this personal information is not publicly available - is going to be viable. Even then there are questions over how someone could do a V-o-IP call from their PC on the Internet at home and make a successful call without running into these privacy concerns if the called party has not "opted in".

Sorry if this is going over any old ground but I'm fairly new to ENUM.

Kim.

-----Original Message-----
From: Jim Reid [mailto:jim at rfc1035.com] 
Sent: 17 June 2004 10:53
To: james.f.baskin at verizon.com
Cc: enum at ietf.org
Subject: Re: [Enum] Re: User ENUM vs Operator ENUM 

(Edited)

Another concern is user ENUM is going to have to be opt-in. The number
doesn't go in the tree unless the "owner" consents. Operator or
infrastructure ENUM has to work for every active number, including
those people with unlisted numbers, test codes, preminum rate and free
numbers, etc, etc. That means there can be no opt-in principle at work
there. I fail to see how these mutually exclusive principles can be
satisfied by having a single, public tree for both.

========================================================This electronic message contains information from the mmO2 plc Group which may be privileged or confidential. The information is intended tobe for the use of the individual(s) or entity named above. If you are notthe intended recipient be aware that any disclosure, copyingdistribution or use of the contents of this information is prohibited. If youhave received this electronic message in error, please notify usby telephone or email (to the numbers or address above) immediately.========================================================
_______________________________________________
enum mailing list
enum at ietf.org
https://www1.ietf.org/mailman/listinfo/enum

---

From: Adrian Georgescu <[email-masked]>
Date: Thu, 17 Jun 2004 07:02:15 -0400

There are some ways by which privacy concerns may be addressed.  An example would be the use of anonymous addresses stored in ENUM and real addresses set as aliases pointing to those in the application servers, both SIP or EMAIL servers support redirection.

Adrian

On Jun 17, 2004, at 12:19 PM, Fullbrook Kim (UK) wrote:

Kim. 

-----Original Message----- 
From: Jim Reid [mailto:jim at rfc1035.com] 
Sent: 17 June 2004 10:53 
To: james.f.baskin at verizon.com 
Cc: enum at ietf.org 
Subject: Re: [Enum] Re: User ENUM vs Operator ENUM 

(Edited) 

========================================================
This electronic message contains information from the mmO2 plc Group 
which may be privileged or confidential. The information is intended to
be for the use of the individual(s) or entity named above. If you are not
the intended recipient be aware that any disclosure, copying
distribution or use of the contents of this information is prohibited. If you
have received this electronic message in error, please notify us
by telephone or email (to the numbers or address above) immediately.
========================================================
_______________________________________________
enum mailing list
enum at ietf.org
https://www1.ietf.org/mailman/listinfo/enum
_______________________________________________
enum mailing list
enum at ietf.org
https://www1.ietf.org/mailman/listinfo/enum

---

From: Mike Hammer <[email-masked]>
Date: Thu, 17 Jun 2004 14:12:11 -0400

Ummm...  I think I missed the discussion about opt-in on the IP address space.
If that sounds strange, it shouldn't.  The point is that any address space 
to be useful, it is reachable one way or the other.  As those with IP 
addresses, telephone numbers, and email addresses are painfully aware, 
having an "unlisted" address does not stop trouble-makers from either:
a) war-dialing/scanning to find you, or
b) collecting names/numbers/addresses the minute you communicate with others.

At least to some extent, an E.164 number is somewhat anonymous and give 
little information other than perhaps what large geographic region you are 
located in, and even that is not always accurate.  I think that the privacy 
laws and application should focus on the really important things to keep 
private.  I don't think the E.164 domains/ENUM should be part of that.  The 
real issue for privacy is how much information is in the public directory 
and how does one access that.  Much that should be private could fall into 
the domain of Presence, where anyone can SUBSCRIBE, but individual policies 
decide whether to even answer or not, and if so, with what 
information.  Best to keep Presence and ENUM orthogonal.

If you don't want to opt-in to ENUM (to include being in private carrier 
ENUM), don't waste an E.164 number on an IP endpoint.

Mike
At 11:19 AM 6/17/2004 +0100, Fullbrook Kim (UK) wrote:
I would support the assertion below.  Saying the same thing in another 
way, there are basic privacy concerns about putting "personal" information 
such as SIP URIs and telephone numbers in the public DNS and for those of 
us in the European Union this has to be "opt in".  On the other hand 
certain telephony services might rely on everyone having their ENUM 
information available in the DNS.  If someone opts out because of privacy 
concerns the service breaks for that customer.  The implication is that 
only Carrier ENUM - where this personal information is not publicly 
available - is going to be viable. Even then there are questions over how 
someone could do a V-o-IP call from their PC on the Internet at home and 
make a successful call without running into these privacy concerns if the 
called party has not "opted in".

-----Original Message-----
From: Jim Reid [<mailto:jim at rfc1035.com>mailto:jim at rfc1035.com]
Sent: 17 June 2004 10:53
To: james.f.baskin at verizon.com
Cc: enum at ietf.org
Subject: Re: [Enum] Re: User ENUM vs Operator ENUM
(Edited)
----------

---

From: Jeff Williams <[email-masked]>
Date: Thu, 17 Jun 2004 19:57:52 -0400

Kim and all,

  Yes you are going over old ground here, but also ground that is
and has been contentious as well as not solved.  I agree with your
concern and evaluation in your remarks below.  However many on
this forum do not believe stakeholders/users should be able to
have opt-in or any control of their own privacy regarding ENUM
or for that matter DNS data records that are related...

Fullbrook Kim (UK) wrote:

>    I would support the assertion below.  Saying the same thing in
> another way,
> there are basic privacy concerns about putting "personal" information
> such
> as SIP URIs and telephone numbers in the public DNS and for those of
> us in
> the European Union this has to be "opt in".  On the other hand certain
>
> telephony services might rely on everyone having their ENUM
> information
> available in the DNS.  If someone opts out because of privacy concerns
> the
> service breaks for that customer.  The implication is that only
> Carrier ENUM
> - where this personal information is not publicly available - is going
> to be
> viable. Even then there are questions over how someone could do a
> V-o-IP
> call from their PC on the Internet at home and make a successful call
> without running into these privacy concerns if the called party has
> not
> "opted in".
>
> -
> ---------------------------------------------------------------------
>
>    Part 1.2       Type: Plain Text (text/plain)
>               Encoding: 7bit

Regards,

--
Jeffrey A. Williams
Spokesman for INEGroup LLA. - (Over 134k members/stakeholders strong!)
"Be precise in the use of words and expect precision from others" -
    Pierre Abelard

"If the probability be called P; the injury, L; and the burden, B;
liability depends upon whether B is less than L multiplied by
P: i.e., whether B is less than PL."
United States v. Carroll Towing  (159 F.2d 169 [2d Cir. 1947]
===============================================================
Updated 1/26/04
CSO/DIR. Internet Network Eng. SR. Eng. Network data security
IDNS. div. of Information Network Eng.  INEG. INC.
E-Mail jwkckid1 at ix.netcom.com
 Registered Email addr with the USPS
Contact Number: 214-244-4827

---

From: James Seng <[email-masked]>
Date: Thu, 17 Jun 2004 19:57:54 -0400

When people talks about privacy, we must understand what specifically are you 
trying to protect? 

In the aspect of privacy, there are a concept of roles and identity. Each 
person have multiple roles which they are associated with others, each role 
is associated to an identity, which may have a set of communication 
identitiers. 

For example, in the role of IETFer, I am known as (James Seng) and I uses a 
set of communication identifiers like this email address, phone/enum 
+6596387085, etc. In the role of IDA staff, I am known as AD(ENAT) and I use 
another set of communication identifiers (which i wont disclose here). In the 
role of as a patient to my doctor, I may go by another name or patient ID, 
uses another set of communication identitifers. I may have other roles and 
identity which I dont want to disclose.

Privacy is invaded when it is possible to identify you from a identity of one 
role with another role, ie, if you are able to use my email address, to track 
to my name James Seng in the role as an IETFer and get accesss to my 
information in other roles (ie as a patient to my doc).

Now, looking at what we put into NAPTR RR. It is basically a # (an identifier) 
associated with a SIP/H323 address (another identifier). A NAPTR RR that 
points 5.4.3.2.1.e164.arpa to sip:12345 at sip.company.com does not say anything 
about the person nor the role.

ENUM is *not a yellowpage*. It shouldn't tell you the name of the person, who 
he is, what his title, etc etc. We must understand (and able to explain to 
the privacy advocates) that a mappings of communication identifiers does not 
violate privacy, as much as telcos route phone call to you no matter who 
calls you or how they got the number.  

ps: Of course, there are concerns where people can query your ENUM hence 
obtain your SIP address to hassle you. This is very much like a concern about 
telemarketing wardialing your private number. Sorry, but the telcos cant do 
it and neither can ENUM.

-James Seng

On 17 June 2004 pm 18:19, Fullbrook Kim (UK) wrote:
> I would support the assertion below.  Saying the same thing in another way,
> there are basic privacy concerns about putting "personal" information such
> as SIP URIs and telephone numbers in the public DNS and for those of us in
> telephony services might rely on everyone having their ENUM information
> available in the DNS.  If someone opts out because of privacy concerns the
> service breaks for that customer.  The implication is that only Carrier
> ENUM - where this personal information is not publicly available - is going
> to be viable. Even then there are questions over how someone could do a
> V-o-IP call from their PC on the Internet at home and make a successful
> call without running into these privacy concerns if the called party has
> not "opted in".
>
> -----------------------------------------------------------------------
>
> distribution or use of the contents of this information is prohibited. If
> you have received this electronic message in error, please notify us

---

From: Jeff Williams <[email-masked]>
Date: Thu, 17 Jun 2004 21:43:15 -0400

James and all,

  Much of what you state below in your remarks is true AS YOU STATED
IT.  But does not necessarily in any meaningful way address the whole of
any ENUM using individual..
 [ Specifics below  James's comments/remarks ]

> is associated to an identity, which may have a set of communication

  Yes, and concept roles as well as identity must be in the hands of the
user or in other words the users choice of what, how, whom and under
what conditions both concept roles and specific identity information
is decimated or available to anyone...

> information in other roles (ie as a patient to my doc).

  Not a very good example here James.  But one that is in the extreme
in regards to role vs identity.  If you or anyone chooses not to be
readily identified by role to your name via sip, than you or anyone should
have that choice and level of control.  Under the current proposed scheme
for ENUM DNS records, you don't have that control, hence tracking
and stalking is indeed not only possible but likely and damage that can
occur from said tracking/stalking can be translated into identity theft
far to easily and without the user even knowing in time to limit or
prevent damage to themselves...  That is unexceptable and will no
doubt be many times challenged in courts of law.  Why than allow for
such a risk to any user if additional protection can be technically
effected to prevent or severely limit such occurrences??

> about the person nor the role.

  Oh yes it does!  It says that in your example that 12345 at sip.company.com
is associated to an individual whom has a identity by a name.  As company.com
a domain name, is registered to a person and that person has a name, as well
as all WHOIS records must now list a real persons correct name, than
tracking further to other information about that individual person is easy from
there forward.  Hence adequate protections are not provided yet could
easily be.  Why aren't they?

> telemarketing wardialing your private number. Sorry, but the telcos cant do

Again incorrect, Telco's often provide agencies of various sorts as well
as other individuals regularly.  It is only that they often don't admit doing
so and leave no record of doing so...

Regards,

---

From: Jim Reid <[email-masked]>
Date: Fri, 18 Jun 2004 04:59:22 -0400

>>>>> "James" == James Seng <jseng at pobox.org.sg> writes:

    James> When people talks about privacy, we must understand what
    James> specifically are you trying to protect?

Indeed. That's still unclear.

    James> ENUM is *not a yellowpage*. It shouldn't tell you the name
    James> of the person, who he is, what his title, etc etc. We must
    James> understand (and able to explain to the privacy advocates)
    James> that a mappings of communication identifiers does not
    James> violate privacy, as much as telcos route phone call to you
    James> no matter who calls you or how they got the number.

This is naive. Once someone has an ENUM zone delegated to them, we
have no idea what may be put there. With or without the user's
consent. Clueless users (ie the overwhelming majority) will no doubt
delegate zone content management to their service provider. The SP may
do nasty things to lock out competitors but could also be publishing
data that the customer considers private without the customer being
aware that's happening. There are plenty of parallels for this. For
instance the bozos who get supermarket loyalty cards don't realise
their buying habits and lifestyle are getting analysed or the extent
of the data mining that goes on.

    James> ps: Of course, there are concerns where people can query
    James> your ENUM hence obtain your SIP address to hassle you. This
    James> is very much like a concern about telemarketing wardialing
    James> your private number. Sorry, but the telcos cant do it and
    James> neither can ENUM.

That's beside the point. If you someone puts their email address into
their ENUM zone -- not an unreasonable thing to do -- they may not be
aware that their address will be trivially harvested by spambots. Or
how about the example I gave yesterday where I put something in my
zone to reject inbound calls to my GSM number because I won't pay
international roaming when I'm overseas? In other words, Jim's house
is empty, so any burglars can come on down. There's a *lot* more to
ENUM's privacy considerations than the advertisement (or not) of a
phone number.

---

From: Jeff Williams <[email-masked]>
Date: Fri, 18 Jun 2004 06:03:19 -0400

Jim and all,

  Well said Jim and exactly what I have tried to point out to James
and others regarding ENUM as well as DNS or Whois records...
Yet bulk look ups are highly sought by some segments of the
corp. world for reasons that are not always accurately given
as the real reason.  Hence protection of the individual user
must take precedence unless law enforcement has proper
legal paperwork prior to accessing such information regarding
individual users data.

Regards,